<?php
/**
 * An interface for discovery
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
interface Discoverable extends FrameworkInterface {
	/**
	 * Discovers the request
	 *
	 * @param	$requestInstance	An instance of a Requestable class
	 * @return	void
	 */
	function discover (Requestable $requestInstance);

	/**
	 * Adds the database result in a human-readable format to the helper class
	 *
	 * @param	$helperInstance		An instance of a helper class
	 * @return	void
	 */
	function addResultsToHelper (HelpableTemplate $helperInstance);
}

// [EOF]
?>
